---
title: GET /articles/{id}
slug: content-marketing-platform/api/get-articlesid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "aqlivFhQU9YLJO12piKBL",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/articles/{id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/articles/{id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /articles/{id}",
    "description": "Get an article",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "5d7f910551b00a722e0418830cee6631",
          "description": "Unique identifier of the article"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Fetched article",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "LibraryArticle",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the article",
                "example": "5d7f910551b00a722e0418830cee6631"
              },
              {
                "name": "title",
                "kind": "required",
                "type": "string",
                "description": "Title of the article",
                "example": "3 Ways Influencer Marketing Will Further Mature in 2020"
              },
              {
                "name": "created_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the article was created, in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>)<p></p>",
                "example": "2019-10-06T13:15:30Z",
                "format": "date-time"
              },
              {
                "name": "modified_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time of the most recent modification of the article, in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>)<p></p>",
                "example": "2019-10-07T13:15:30Z",
                "format": "date-time"
              },
              {
                "name": "html_body",
                "kind": "required",
                "type": "string",
                "description": "Content of the article",
                "example": "<p>Article text</p>"
              },
              {
                "name": "folder_id",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "ID of the folder containing the article in the library",
                "example": "6bb8db20a5b611ebae319b7c541b1a5a"
              },
              {
                "name": "file_location",
                "kind": "required",
                "type": "string",
                "description": "Location of the folder containing the article in the library",
                "example": "/all assets/"
              },
              {
                "name": "is_archived",
                "kind": "required",
                "type": "boolean",
                "description": "Whether the article is archived or not",
                "example": false
              },
              {
                "name": "labels",
                "kind": "required",
                "type": "array",
                "description": "Labels associated with the article",
                "modelRef": "#/components/schemas/ResourceLabelResponse",
                "customType": "ResourceLabelResponse[]",
                "schema": [
                  {
                    "name": "group",
                    "kind": "required",
                    "type": "object",
                    "description": "Label group",
                    "example": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the label group",
                        "example": "2467e583a60e23fda2b89db81a453cd2"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label group",
                        "example": "Content Format"
                      }
                    ]
                  },
                  {
                    "name": "values",
                    "kind": "required",
                    "type": "array",
                    "description": "List of values of the label",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "string",
                        "description": "Identifier of the label value",
                        "example": "71c378f3fee3d822759d1bdc2aab628c"
                      },
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": "Name of the label value",
                        "example": "Photos"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "group_id",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Unique identifier of the source article in case of copied or translated articles",
                "example": "7949c82ce3ae11eba378dbacdf18f20c"
              },
              {
                "name": "meta_title",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Meta title of the article",
                "example": "3 Ways Influencer Marketing Will Further Mature in 2020"
              },
              {
                "name": "meta_description",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Meta description of the article",
                "example": "Article text"
              },
              {
                "name": "meta_url",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Meta URL of the article",
                "example": "/"
              },
              {
                "name": "meta_keywords",
                "kind": "required",
                "type": "array",
                "description": "Meta Keywords of the article",
                "example": "[\"key\",\"word\",\"keyword\"]",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "source_article",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Link to the vendor article for Marketplace article or Task article ID for created article",
                "example": "https://source-vendor.com/sample-article"
              },
              {
                "name": "source_name",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Name of the article's source",
                "example": "Optimizely CMP"
              },
              {
                "name": "url",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Link to the published article",
                "example": "https://example.com/sample-article"
              },
              {
                "name": "authors",
                "kind": "required",
                "type": "array",
                "description": "List of authors of the article",
                "modelRef": "#/components/schemas/ArticleAuthorResponse",
                "customType": "ArticleAuthorResponse[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Name of Author",
                    "example": "John Doe"
                  }
                ]
              },
              {
                "name": "lang_code",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "Language code depicting the language of the article",
                "example": "eng"
              },
              {
                "name": "pixel_key",
                "kind": "required",
                "type": "string",
                "description": "Unique tracking pixel of the article",
                "example": "https://pixel.cmp.optimizely.com/px.gif?key=YXJ0aWNsZT0zZmJjN2Y5NmUzYzcxMWViOGVmNTAyNDJhYzEyMDAxOA=="
              },
              {
                "name": "images",
                "kind": "required",
                "type": "array",
                "description": "Featured images of the article",
                "modelRef": "#/components/schemas/FeaturedImageResponse",
                "customType": "FeaturedImageResponse[]",
                "schema": [
                  {
                    "name": "attribution_text",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Attribution text of the featured image",
                    "example": "This is a sample attribution text"
                  },
                  {
                    "name": "caption",
                    "kind": "required",
                    "type": "string",
                    "description": "Caption of the featured image",
                    "example": "This is a sample caption"
                  },
                  {
                    "name": "description",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "Description of the featured image",
                    "example": "This is a sample description"
                  },
                  {
                    "name": "mime_type",
                    "kind": "required",
                    "type": "string",
                    "description": "MIME type of the featured image",
                    "example": "image/jpeg"
                  },
                  {
                    "name": "source",
                    "kind": "required",
                    "type": "object",
                    "description": "Source of the featured image",
                    "example": "",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "Organization or vendor name of the featured image",
                        "example": "Reuters"
                      }
                    ]
                  },
                  {
                    "name": "url",
                    "kind": "required",
                    "type": "string",
                    "description": "URL of the featured image",
                    "example": "https://images-cdn.cmp.optimizely.com/sample.jpeg"
                  },
                  {
                    "name": "height",
                    "kind": "required",
                    "type": "integer",
                    "description": "Height of the featured image in pixels",
                    "example": 400
                  },
                  {
                    "name": "width",
                    "kind": "required",
                    "type": "integer",
                    "description": "Width of the featured image in pixels",
                    "example": 700
                  },
                  {
                    "name": "thumbnail",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "URL of the featured image thumbnail",
                    "example": "https://images-cdn.cmp.optimizely.com/Zz01Y2FkOWFjZWQ5OTMxMWViYjY3OTEzNDMzOWM3ZDNhNA==?width=75&height=75"
                  }
                ]
              },
              {
                "name": "owner_organization_id",
                "kind": "required",
                "type": "string",
                "nullable": false,
                "description": "ID of owner organization of the article",
                "example": "5108c3a9becac35915111191"
              },
              {
                "name": "expires_at",
                "kind": "required",
                "type": "string<date-time>",
                "nullable": true,
                "description": "<p>Date and time for the expiration of the article, in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>)<p></p>",
                "example": "2019-10-07T13:15:30Z",
                "format": "date-time"
              },
              {
                "name": "thumbnail_url",
                "kind": "required",
                "type": "string",
                "nullable": true,
                "description": "URL of the thumbnail of the article",
                "example": "http://images.cmp.optimizely.com/Zz0xODQ3NDU3Y2Y2YmYzOTlmNjkyOTgyZDY3Y2I3YWM2OA=="
              },
              {
                "name": "version_number",
                "kind": "required",
                "type": "integer",
                "nullable": false,
                "description": "Version number of article",
                "example": 2
              },
              {
                "name": "version_id",
                "kind": "required",
                "type": "string",
                "nullable": false,
                "description": "Version id of article",
                "example": "5d7f910551b00a722e0418830cee6631"
              },
              {
                "name": "tags",
                "kind": "required",
                "type": "array",
                "description": "Tags for the article",
                "modelRef": "#/components/schemas/Tag",
                "customType": "Tag[]",
                "schema": [
                  {
                    "name": "guid",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the tag",
                    "example": "5d7f910551b00a722e0418830cee6633"
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the tag",
                    "example": "Sample Tag"
                  }
                ]
              },
              {
                "name": "owner_id",
                "kind": "required",
                "type": "string",
                "nullable": false,
                "description": "ID of the article owner",
                "example": "5108c3a9becac35915111191"
              }
            ],
            "modelRef": "#/components/schemas/LibraryArticle",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Not found error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Resource not found\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "A1tkKUH6S4Gx2HLEBk1N0",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/articles/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "LMmNYeedskpdKsQEm3hx5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/articles/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "KOTHU5aWcojfG-qeVuhUS",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/articles/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "c0nfJBF3ew1wZTJvVjvd7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/articles/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "A1tkKUH6S4Gx2HLEBk1N0"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Fetched article\n{\n  \"id\": \"5d7f910551b00a722e0418830cee6631\",\n  \"title\": \"3 Ways Influencer Marketing Will Further Mature in 2020\",\n  \"created_at\": \"2019-10-06T13:15:30Z\",\n  \"modified_at\": \"2019-10-07T13:15:30Z\",\n  \"html_body\": \"<p>Article text</p>\",\n  \"folder_id\": \"6bb8db20a5b611ebae319b7c541b1a5a\",\n  \"file_location\": \"/all assets/\",\n  \"is_archived\": false,\n  \"labels\": [\n    {\n      \"group\": {\n        \"id\": \"2467e583a60e23fda2b89db81a453cd2\",\n        \"name\": \"Content Format\"\n      },\n      \"values\": [\n        {\n          \"id\": \"71c378f3fee3d822759d1bdc2aab628c\",\n          \"name\": \"Photos\"\n        }\n      ]\n    }\n  ],\n  \"group_id\": \"7949c82ce3ae11eba378dbacdf18f20c\",\n  \"meta_title\": \"3 Ways Influencer Marketing Will Further Mature in 2020\",\n  \"meta_description\": \"Article text\",\n  \"meta_url\": \"/\",\n  \"meta_keywords\": [\n    \"\"\n  ],\n  \"source_article\": \"https://source-vendor.com/sample-article\",\n  \"source_name\": \"Optimizely CMP\",\n  \"url\": \"https://example.com/sample-article\",\n  \"authors\": [\n    {\n      \"name\": \"John Doe\"\n    }\n  ],\n  \"lang_code\": \"eng\",\n  \"pixel_key\": \"https://pixel.cmp.optimizely.com/px.gif?key=YXJ0aWNsZT0zZmJjN2Y5NmUzYzcxMWViOGVmNTAyNDJhYzEyMDAxOA==\",\n  \"images\": [\n    {\n      \"attribution_text\": \"This is a sample attribution text\",\n      \"caption\": \"This is a sample caption\",\n      \"description\": \"This is a sample description\",\n      \"mime_type\": \"image/jpeg\",\n      \"source\": {\n        \"name\": \"Reuters\"\n      },\n      \"url\": \"https://images-cdn.cmp.optimizely.com/sample.jpeg\",\n      \"height\": 400,\n      \"width\": 700,\n      \"thumbnail\": \"https://images-cdn.cmp.optimizely.com/Zz01Y2FkOWFjZWQ5OTMxMWViYjY3OTEzNDMzOWM3ZDNhNA==?width=75&height=75\"\n    }\n  ],\n  \"owner_organization_id\": \"5108c3a9becac35915111191\",\n  \"expires_at\": \"2019-10-07T13:15:30Z\",\n  \"thumbnail_url\": \"http://images.cmp.optimizely.com/Zz0xODQ3NDU3Y2Y2YmYzOTlmNjkyOTgyZDY3Y2I3YWM2OA==\",\n  \"version_number\": 2,\n  \"version_id\": \"5d7f910551b00a722e0418830cee6631\",\n  \"tags\": [\n    {\n      \"guid\": \"5d7f910551b00a722e0418830cee6633\",\n      \"name\": \"Sample Tag\"\n    }\n  ],\n  \"owner_id\": \"5108c3a9becac35915111191\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not found error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}